package net.udby.datetime;

import java.util.Calendar;
import java.util.Date;

public class DateTimeProviderTestImpl implements DateTimeProvider {
	private long currentTimeMs;
	
	public DateTimeProviderTestImpl(long currentTimeMs) {
		this.currentTimeMs = currentTimeMs;
	}

	@Override
	public Calendar currentTimeCalendar() {
		Calendar c = Calendar.getInstance();
		c.setTimeInMillis(currentTimeMs);
		return c;
	}

	@Override
	public long currentTimeMilliseconds() {
		return currentTimeMs;
	}

	@Override
	public Date currentTimeDate() {
		return new Date(currentTimeMs);
	}

	public void set(long currentTimeMs) {
		this.currentTimeMs = currentTimeMs;
	}

	public void add(long tdiff) {
		this.currentTimeMs += tdiff;
	}
}
